{{getMsg('Help_YouAreHere')}}:
/
{{page.title}}
{{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}}
{{helpModel.downloadHelpPdfDataStatus}}
Events
/api/calendar/{calendarId}/events/{eventId}/attendees
Exposes stored calendar events and stages event changes until commit.
GET /api/calendar/{calendarId}/events/{eventId}/attendees
Event attendees and their response states.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
calendarId |
path | string |
yes | — |
eventId |
path | string |
yes | current internal event identifier |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
200 |
application/json |
array<Attendee> |
Successful response. |
Example Request
# Request
GET /api/calendar/<calendarId>/events/<eventId>/attendees HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
# Response
HTTP/1.1 200 OK
Content-Type: application/json
[
{
"name": "string",
"email": "string",
"status": "NONE"
}
]
PUT /api/calendar/{calendarId}/events/{eventId}/attendees
Event attendees and their response states.
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
calendarId |
path | string |
yes | — |
eventId |
path | string |
yes | current internal event identifier |
Request Body
| Content Type | Schema | Required | Description |
|---|---|---|---|
application/json |
array<Attendee> |
yes |
Event attendees and their response states. |
Response
| Status | Content Type | Schema | Description |
|---|---|---|---|
200 |
application/json |
array<Attendee> |
Successful response. |
Example Request
# Request
PUT /api/calendar/<calendarId>/events/<eventId>/attendees HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
Content-Type: application/json
[
{
"name": "string",
"email": "string",
"status": "NONE"
}
]
# Response
HTTP/1.1 200 OK
Content-Type: application/json
[
{
"name": "string",
"email": "string",
"status": "NONE"
}
]
Common Error Responses
The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:
{
"status": 404,
"code": "route_not_found",
"message": "The requested API route does not exist.",
"details": []
}
Schemas
Request and response schemas used on this page.
Attendee
| Property | Type | Required | Description |
|---|---|---|---|
name |
string |
no | — |
email |
string |
no | — |
status |
string [NONE, ACCEPTED, DECLINED, TENTATIVE] |
no | — |
ApiError
| Property | Type | Required | Description |
|---|---|---|---|
status |
integer (int32) |
yes | — |
code |
string |
yes | — |
message |
string |
yes | — |
details |
array<object> |
no | — |